<?php

namespace App\Http\Controllers\Api\CMS;

use App\Contracts\Repositories\CMS\SettingRepository;
use App\Http\Controllers\Controller;
use App\Repositories\Models\CMS\Setting;
use App\Repositories\Presenters\CMS\SettingPresenter;
use App\Repositories\Validators\CMS\SettingValidator;
use Illuminate\Http\Request;
use Jiannei\Response\Laravel\Support\Facades\Response;

/**
 * Class BannersController.
 *
 * @package namespace App\Http\Controllers\Base;
 */
class SettingController extends Controller
{
    /**
     * @var SettingRepository
     */
    protected $repository;

    /**
     * @var SettingValidator
     */
    protected $validator;

    /**
     * BannersController constructor.
     *
     * @param SettingRepository $repository
     * @param SettingValidator $validator
     */
    public function __construct(SettingRepository $repository, SettingValidator $validator)
    {
        $this->repository = $repository;
        $this->validator = $validator;
    }

    public function index(Request $request)
    {
        $lists = $this->repository->all();
        return Response::success($lists);
    }

    public function show(Request $request)
    {
        $key = $request->get('key');
        $model = $this->repository->where('key', $key)->first();
        $model = $this->repository->setPresenter(SettingPresenter::class)->parserResult($model);
        return Response::success(array_key_exists('body', $model) ? $model['body'] : '');
    }
}
