<?php

namespace App\Repositories\Criteria\Qunali;

use Illuminate\Http\Request;
use Prettus\Repository\Contracts\CriteriaInterface;
use Prettus\Repository\Contracts\RepositoryInterface;

/**
 * Class PointCriteria.
 *
 * @package namespace App\Repositories\Criteria\Qunali;
 */
class PointCriteria implements CriteriaInterface
{
    /**
     * Apply criteria in query repository
     *
     * @param string $model
     * @param RepositoryInterface $repository
     *
     * @return mixed
     */
    public function __construct(Request $request = null)
    {
        if (is_null($request)) {
            $this->request = \request();
        } else {
            $this->request = $request;
        }
    }

    /**
     * Apply criteria in query repository
     *
     * @param string $model
     * @param RepositoryInterface $repository
     *
     * @return mixed
     */
    public function apply($model, RepositoryInterface $repository)
    {
        if ($this->request->filled('name')) {
            $name = $this->request->get('name');
            $model = $model->where('name', 'like', "%{$name}%");
        }

        if ($this->request->filled('status')) {
            $status = $this->request->get('status');
            $model = $model->where('status', '=', $status);
        }

        if ($this->request->filled('check_status')) {
            $check_status = $this->request->get('check_status');
            $model = $model->where('check_status', '=', $check_status);
        }

        if ($this->request->filled('organization_id')) {
            $organization_id = $this->request->get('organization_id', false);
            $model = $model->where('organization_id', '=', $organization_id);
        }

        if ($this->request->filled('user_id')) {
            $user_id = $this->request->get('user_id', false);
            $model = $model->where('user_id', '=', $user_id);
        }

        if ($this->request->filled('street_name')) {
            $street_name = $this->request->get('street_name');
            $model = $model->where('street_name', 'like', $street_name);
        }

        if ($this->request->filled('area_name')) {
            $area_name = $this->request->get('area_name');
            $model = $model->where('area_name', 'like', $area_name);
        }

        if ($this->request->filled('address')) {
            $address = $this->request->get('address');
            $model = $model->where('address', 'like', $address);
        }

        $model = $model->orderByDesc('id');
        return $model;
    }
}
