<?php

namespace App\Repositories\Eloquent\Navigation;

use App\Repositories\Criteria\Navigation\OrganizationCriteria;
use App\Repositories\Presenters\Navigation\OrganizationPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Navigation\OrganizationRepository;
use App\Repositories\Models\Navigation\Organization;
use App\Repositories\Validators\Navigation\OrganizationValidator;

/**
 * Class OrganizationRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Navigation;
 */
class OrganizationRepositoryEloquent extends BaseRepository implements OrganizationRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Organization::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return OrganizationValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
        $this->pushCriteria(app(OrganizationCriteria::class));
        $this->setPresenter(OrganizationPresenter::class);
    }

}
