<?php

namespace App\Repositories\Eloquent\Navigation;

use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Navigation\SearchRecordRepository;
use App\Repositories\Models\Navigation\SearchRecord;
use App\Repositories\Validators\Navigation\SearchRecordValidator;

/**
 * Class SearchRecordRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Navigation;
 */
class SearchRecordRepositoryEloquent extends BaseRepository implements SearchRecordRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return SearchRecord::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return SearchRecordValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }

}
