<?php

namespace App\Repositories\Eloquent\Navigation;

use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Navigation\UserRecordRepository;
use App\Repositories\Models\Navigation\UserRecord;
use App\Repositories\Validators\Navigation\UserRecordValidator;

/**
 * Class UserRecordRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Navigation;
 */
class UserRecordRepositoryEloquent extends BaseRepository implements UserRecordRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return UserRecord::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return UserRecordValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }

}
