<?php

namespace App\Repositories\Eloquent\Navigation;

use App\Repositories\Criteria\Navigation\WebsiteCriteria;
use App\Repositories\Presenters\Navigation\WebsitePresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Navigation\WebsiteRepository;
use App\Repositories\Models\Navigation\Website;
use App\Repositories\Validators\Navigation\WebsiteValidator;

/**
 * Class WebsiteRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Navigation;
 */
class WebsiteRepositoryEloquent extends BaseRepository implements WebsiteRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Website::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return WebsiteValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
        $this->pushCriteria(app(WebsiteCriteria::class));
        $this->setPresenter(WebsitePresenter::class);
    }

}
