<?php

namespace App\Repositories\Eloquent\Qunali;

use App\Repositories\Criteria\Qunali\PointCriteria;
use App\Repositories\Presenters\Qunali\PointPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Qunali\PointRepository;
use App\Repositories\Models\Qunali\Point;
use App\Repositories\Validators\Qunali\PointValidator;

/**
 * Class PointRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Qunali;
 */
class PointRepositoryEloquent extends BaseRepository implements PointRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Point::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return PointValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
        $this->pushCriteria(app(PointCriteria::class));
        $this->setPresenter(PointPresenter::class);
    }

}
