<?php

namespace App\Repositories\Models\Navigation;

use App\Repositories\Models\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class Organization.
 *
 * @package namespace App\Repositories\Models\Navigation;
 */
class UserOrganization extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'navigation_user_organization';

    protected $guarded = [];

    public function organization()
    {
        return $this->belongsTo(Organization::class)->select(['id', 'name']);
    }

    public static function byUserIdGetOrganizationIds($user_id)
    {
        return self::query()->where('user_id', $user_id)->status()->select(['organization_id', 'type'])->pluck('organization_id', 'role')->toArray();
    }


    public static function isMeOrganization($user_id, $organization_id)
    {
        $role = self::query()->where('user_id', $user_id)->where('organization_id', $organization_id)->status()->value('role');
        if (is_null($role)) $role = 0;
        return $role;
    }

    public static function isMeManagementOrganization($user_id, $organization_id)
    {
        return self::query()->where('user_id', $user_id)->where('organization_id', $organization_id)->where('role', 2)->status()->exists();
    }

}
