<?php

namespace App\Repositories\Models\Qunali;

use App\Repositories\Models\Model;
use App\Repositories\Models\User\User;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class Point.
 *
 * @package namespace App\Repositories\Models\Qunali;
 */
class Point extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'qnl_points';

    protected $guarded = [];

    public function user()
    {
        return $this->belongsTo(User::class)->select(['id', 'name', 'headimg'])->withDefault(['id' => 0, 'name' => '匿名用户', 'headimg' => '']);
    }

    public function getCoverAttribute()
    {
        return path_to_url($this->attributes['cover']);
    }

}
