<?php

namespace App\Repositories\Transformers\Navigation;

use App\Repositories\Models\Navigation\Organization;
use App\Repositories\Transformers\BaseTransformer;
use Carbon\Carbon;

/**
 * Class OrganizationTransformer.
 *
 * @package namespace App\Repositories\Transformers\Navigation;
 */
class OrganizationTransformer extends BaseTransformer
{
    /**
     * Transform the Organization entity.
     *
     * @param \App\Repositories\Models\Navigation\Organization $model
     *
     * @return array
     */
    public function lists($model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'pid' => $model->pid,
            'tier' => $model->tier,
            'logo_resource' => $model->logo_resource,
            'background_resource' => $model->background_resource,
            'slug' => $model->slug,
            'is_rank' => $model->is_rank,
            'prefix' => $model->prefix,
            'isChild' => Organization::isChild($model->id),
            'user' => $model->user,
//            'sort' => $model->sort,
            'status' => $model->status,
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }

    public function detail($model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'pid' => $model->pid,
            'tier' => $model->tier,
            'logo' => $model->logo,
            'logo_resource' => $model->logo_resource,
            'background' => $model->background,
            'prefix' => $model->prefix,
            'background_resource' => $model->background_resource,
            'intro' => $model->intro,
            'intro_title' => $model->intro_title,
            'contact_code' => $model->contact_code,
            'is_rank' => $model->is_rank,
            'slug' => $model->slug,
            'user' => $model->user,
            'admin' => $model->admin,
            'setting' => $model->setting,
//            'sort' => $model->sort,
            'status' => $model->status,
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
