<?php

namespace App\Repositories\Transformers\Navigation;

use App\Repositories\Enums\Navigation\TypeEnum;
use App\Repositories\Models\Navigation\Website;
use App\Repositories\Transformers\BaseTransformer;
use Carbon\Carbon;

/**
 * Class WebsiteTransformer.
 *
 * @package namespace App\Repositories\Transformers\Navigation;
 */
class WebsiteTransformer extends BaseTransformer
{

    public function lists($model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'description' => $model->description,
            'type' => $model->type,
            'type_text' => TypeEnum::getDescription($model->type),
            'category' => $model->category,
            'organization' => $model->organization,
            'logo' => $model->logo,
            'tags' => Website::getTags($model->tags),
            'logo_resource' => $model->logo_resource,
            'url' => $model->url,
            'hidden_status' => $model->hidden_status,
            'status' => $model->status,
            'sort' => $model->sort,
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }

    public function detail($model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'description' => $model->description,
            'type' => $model->type,
            'type_text' => TypeEnum::getDescription($model->type),
            'category' => $model->category,
            'organization' => $model->organization,
            'logo' => $model->logo,
            'tags' => Website::getTags($model->tags),
            'url' => $model->url,
            'logo_resource' => $model->logo_resource,
            'slug' => $model->slug,
            'user' => $model->user,
            'setting' => $model->setting,
            'sort' => $model->sort,
            'hidden_status' => $model->hidden_status,
            'status' => $model->status,
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
