<?php

namespace App\Repositories\Transformers\Qunali;

use App\Repositories\Transformers\BaseTransformer;
use Carbon\Carbon;


/**
 * Class PointTransformer.
 *
 * @package namespace App\Repositories\Transformers\Qunali;
 */
class PointTransformer extends BaseTransformer
{
    /**
     * Transform the Point entity.
     *
     * @param \App\Repositories\Models\Qunali\Point $model
     *
     * @return array
     */
    public function lists($model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'slug' => $model->slug,
            'cover' => $model->cover,
            'time' => $model->time,
            'address' => $model->address,
            'street_name' => $model->street_name,
            'area_name' => $model->area_name,
            'lat' => $model->lat,
            'lng' => $model->lng,
            'good_nums' => $model->good_nums,
            'view_nums' => $model->view_nums,
            'bad_nums' => $model->bad_nums,
            'report_nums' => $model->report_nums,
            'share_nums' => $model->share_nums,
            'version' => $model->version,
            'tags' => $model->tags,
            'check_status' => $model->check_status,
            'status' => $model->status,

            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }

    public function detail($model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'slug' => $model->slug,
            'cover' => $model->cover,
            'time' => $model->time,
            'address' => $model->address,
            'street_name' => $model->street_name,
            'area_name' => $model->area_name,
            'lat' => $model->lat,
            'lng' => $model->lng,
            'good_nums' => $model->good_nums,
            'view_nums' => $model->view_nums,
            'bad_nums' => $model->bad_nums,
            'report_nums' => $model->report_nums,
            'share_nums' => $model->share_nums,
            'version' => $model->version,
            'user' => $model->user,
            'status' => $model->status,
            'tags' => $model->tags,

            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
