<?php

namespace App\Repositories\Transformers\User;

use App\Repositories\Enums\Base\RoleEnum;
use App\Repositories\Enums\SexEnum;
use App\Repositories\Models\User\User;
use Carbon\Carbon;
use League\Fractal\TransformerAbstract;

/**
 * Class StudentTransformer.
 *
 * @package namespace App\Repositories\Transformers\User;
 */
class UserTransformer extends TransformerAbstract
{

    public function transform($model)
    {
        $data = [
            'id' => (int)$model->id,
            'username' => $model->username,
            'name' => $model->name,
            'turename' => $model->turename,
            'headimg' => $model->headimg,
            'sex' => $model->sex,
            'sex_text' => SexEnum::getDescription($model->sex),
//            'email' => $model->email,
//            'role_id' => $model->role_id,
//            'role' => RoleEnum::getDescription($model->role_id),
//            'roles' => $model->roles()->select(['id', 'name'])->get(),
            'mobile' => $model->mobile,
//            'intro' => $model->intro,
//            'organization_id' => $model->organization_id,
//            'organization' => $model->organization,
//            'personal_signature' => $model->personal_signature,
//            'userrate' => $model->userrate,
            'status' => $model->status,
            'is_bind_mobile' => $model->is_bind_mobile,
            'is_sync_info' => $model->is_sync_info,
//            'class' => $model->class,
//            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];

        return $data;
    }
}
