<?php

namespace App\Repositories\Validators\Navigation;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class CategoryValidator.
 *
 * @package namespace App\Repositories\Validators\Navigation;
 */
class CategoryValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'required',
            'pid' => 'required|integer',
            'type' => 'required|integer',
            'logo' => 'sometimes|nullable',
            'organization_id' => 'required|integer',
            'visit_type' => 'required|integer',
            'hidden_status' => 'required|integer',
            'sort' => 'sometimes|nullable|integer',
            'setting' => 'sometimes|nullable',
            'status' => 'sometimes|nullable|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'name' => 'required',
            'pid' => 'required|integer',
            'type' => 'required|integer',
            'logo' => 'sometimes|nullable',
            'organization_id' => 'required|integer',
            'hidden_status' => 'required|integer',
            'visit_type' => 'required|integer',
            'sort' => 'sometimes|nullable|integer',
            'setting' => 'sometimes|nullable',
            'status' => 'sometimes|nullable|integer',
        ],
    ];
}
