<?php

namespace App\Repositories\Validators\Navigation;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class OrganizationValidator.
 *
 * @package namespace App\Repositories\Validators\Navigation;
 */
class OrganizationValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'required',
            'pid' => 'required|integer',
//            'tier' => 'sometimes|nullable|integer',
            'logo' => 'sometimes|nullable',
            'background' => 'sometimes|nullable',
            'prefix' => 'required',
            'intro_title' => 'sometimes|nullable',
            'intro' => 'sometimes|nullable',
            'is_rank' => 'sometimes|integer',
            'contact_code' => 'sometimes|nullable',
            'setting' => 'sometimes|nullable',
            'status' => 'sometimes|nullable|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'name' => 'required',
            'pid' => 'required|integer',
//            'tier' => 'sometimes|nullable|integer',
            'logo' => 'sometimes|nullable',
            'intro_title' => 'sometimes|nullable',
            'intro' => 'sometimes|nullable',
            'contact_code' => 'sometimes|nullable',
            'background' => 'sometimes|nullable',
            'is_rank' => 'sometimes|integer',
            'prefix' => 'required',
            'setting' => 'sometimes|nullable',
            'status' => 'sometimes|nullable|integer',
        ],
    ];
}
